#!/bin/bash

echo "Initializing Kafka ..."

# Start Zookeeper
nohup $KAFKA_HOME/bin/zookeeper-server-start.sh $KAFKA_HOME/config/zookeeper.properties &

# Give zookeeper some time to start (not reliable)
sleep 5

# Start Kafka
nohup $KAFKA_HOME/bin/kafka-server-start.sh $KAFKA_HOME/config/server.properties &